<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Assignment2</title>
    <style>
      .container {
        margin: auto;
        background-color: aliceblue;
        width: 40%;
        padding: 30px;
        border: 1px solid #ddd;
        border-radius: 5px;
      }
      .form-input {
        display: flex;
        margin: 5px 0px;
        border-bottom: 1px solid #ddd;
        /* justify-content: space-between; */
      }
      .form-input input[type="text"],
      textarea,
      input[type="file"],
      input[type="date"],
      input[type="email"],
      input[list="countries"] {
        padding: 10px 15px;
        width: 50%;
      }
      .form-input label {
        flex: 2;
        padding: 10px 15px;
        font-size: 16px;
        font-weight: 700;
      }
      button {
        width: 100%;
        padding: 15px 20px;
        background-color: #e3e3e3;
        border: 3px solid #e2e2e2;
        font-size: 14px;
        font-weight: 800;
        color: lightseagreen;
      }
      textarea {
        margin-bottom: 15px;
      }
      .form-input:nth-child(4) div {
        margin-right: 30%;
        padding: 10px 15px;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <center><h1>Assignment 2</h1></center>
      <form>
        <div class="form-input">
          <label for="fullname">Full name</label>
          <input type="text" placeholder="Enter fullname" required />
        </div>
        <div class="form-input">
          <label for="email">Email</label>
          <input
            type="email"
            placeholder="Enter Email"
            required
            pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$"
          />
        </div>
        <div class="form-input">
          <label for="phone">Phone number</label>
          <input type="text" placeholder="Enter Phone" required />
        </div>
        <div class="form-input">
          <label for="birth">Birth day</label>
          <input type="date" max="2022-01-20" required />
        </div>
        <div class="form-input">
          <label for="gender">Gender</label>
          <div class="radio">
            <input type="radio" name="gender" checked /> Male
            <input type="radio" name="gender" /> female
          </div>
        </div>
        <div class="form-input">
          <label for="country"> Country</label>
          <input list="countries" name="country" id="country" />
          <datalist id="countries">
            <option value="rwanda"></option>
            <option value="ghana"></option>
            <option value="kenya"></option>
            <option value="uganda"></option>
            <option value="malawi"></option>
            <option value="burundi"></option>
            <option value="R D Congo"></option>
            <option value="sudan"></option>
            <option value="tanzania"></option>
          </datalist>
        </div>
        <div class="form-input">
          <label for="favorite">Favorite programming languages</label>
          <input type="checkbox" name="favorite" value="javascript" />
          JavaScript <input type="checkbox" name="favorite" value="dart" /> Dart
          <input type="checkbox" name="favorite" value="c#" /> C#
          <input type="checkbox" name="favorite" value="php" /> Php
          <input type="checkbox" name="favorite" value="python" /> Python
        </div>
        <div class="form-input">
          <label for="message">Message</label>
          <textarea
            name="message"
            cols="30"
            rows="10"
            placeholder="Write your message here!!"
          ></textarea>
        </div>
        <div class="form-input">
          <label for="image" accept="image/jpeg">Upload your Images</label>
          <input type="file" />
        </div>
        <button>Save datails</button>
      </form>
    </div>
  </body>
</html>
